GDB (xrefs)

Functions | Variables
python-config Namespace Reference

## Functions
def | exit_with_usage (code=1)
def | to_unix_path (path)

## Variables
| valid_opts
| pyver
| getvar
| abiflags
| opt_flags
| code
| flags
| plat_specific
| libs

## Function Documentation

## ◆ exit_with_usage()

def python-config.exit_with_usage | ( |  | code = `1` | ) |

Definition at line 12 of file python-config.py.

## ◆ to_unix_path()

def python-config.to_unix_path | ( |  | path | ) |

    On Windows, returns the given path with all backslashes
    converted into forward slashes.  This is to help prevent problems
    when using the paths returned by this script with cygwin tools.
    In particular, cygwin bash treats backslashes as a special character.

    On Unix systems, returns the path unchanged.

Definition at line 34 of file python-config.py.

## Variable Documentation

## ◆ abiflags

python-config.abiflags

Definition at line 27 of file python-config.py.

## ◆ code

python-config.code

Definition at line 32 of file python-config.py.

## ◆ flags

python-config.flags

Definition at line 54 of file python-config.py.

## ◆ getvar

python-config.getvar

Definition at line 26 of file python-config.py.

## ◆ libs

python-config.libs

Definition at line 61 of file python-config.py.

## ◆ opt_flags

python-config.opt_flags

Definition at line 29 of file python-config.py.

## ◆ plat_specific

python-config.plat_specific

Definition at line 55 of file python-config.py.

## ◆ pyver

python-config.pyver

Definition at line 25 of file python-config.py.

## ◆ valid_opts

python-config.valid_opts

Definition at line 9 of file python-config.py.